Name:           ocaml-data-notation
Version:        0.0.10
Release:        %mkrel 5
Summary:        Store data using OCaml notation
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            http://forge.ocamlcore.org/projects/odn
Source0:        http://forge.ocamlcore.org/frs/download.php/1029/ocaml-data-notation-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-type-conv
BuildRequires:  ocaml-ounit
BuildRequires:  ocaml-fileutils
BuildRequires:  camlp4

%description
This project uses type-conv to dump OCaml data structure using OCaml data
notation. This kind of data dumping helps to write OCaml code generator,
like OASIS.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}
  # --enable-tests

make

%check
#make test

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/odn
make install

%files
%doc README.txt COPYING.txt AUTHORS.txt CHANGES.txt INSTALL.txt
%dir %{_libdir}/ocaml/odn
%{_libdir}/ocaml/odn/META
%{_libdir}/ocaml/odn/*.cma
%{_libdir}/ocaml/odn/*.cmi
%{_libdir}/ocaml/odn/*.cmxs
%{_libdir}/ocaml/odn/*.ml

%files devel
%doc tests/
%{_libdir}/ocaml/odn/*.a
%{_libdir}/ocaml/odn/*.cmxa
%{_libdir}/ocaml/odn/*.cmx


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.0.10-5.mga4
+ Revision: 536392
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 0.0.10-4.mga4
+ Revision: 484198
- rebuild for ocaml-4.01.0

* Sun Jun 09 2013 malo <malo> 0.0.10-3.mga4
+ Revision: 441321
- rebuild for new ocaml-type-conv

* Sat Jan 12 2013 umeabot <umeabot> 0.0.10-2.mga3
+ Revision: 361275
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 11 2012 malo <malo> 0.0.10-1.mga3
+ Revision: 304543
- missing BuildRequires camlp4
- update to 0.0.10

  + blue_prawn <blue_prawn>
    - new rpm group for ocaml
    - provide the tests directory
    - new rpm group for ocaml
    - corrected order between ./configure and make
    - no need stublibs/ directory

* Mon Jul 16 2012 blue_prawn <blue_prawn> 0.0.9-1.mga3
+ Revision: 271171
- imported package ocaml-data-notation

